@charset "UTF-8";
/*
    Template: swell
    Theme Name: SWELL CHILD
    Theme URI: https://swell-theme.com/
    Description: SWELLの子テーマ
    Version: 1.0.0
    Author: LOOS WEB STUDIO
    Author URI: https://loos-web-studio.com/

    License: GNU General Public License
    License URI: http://www.gnu.org/licenses/gpl.html
*/

/* グローバルナビ文字サイズ */
.c-gnav>.menu-item>a .ttl {
    font-size: 14px;
}

/* グローバルナビリンク色 */
.c-gnav > li:hover > a, .c-gnav > .-current > a {
background: transparent;
color: #009880;
transition: all .25s;
}

/* 施設紹介スライダー */
.loop-slider {
    display: flex;
    overflow: hidden;
    gap: 1.5rem; /* 画像間の余白を指定 */
}
.loop-slider .wp-block-group__inner-container,
.loop-slider .swell-block-columns {
    display: contents;
}
.loop-slider .swell-block-columns__inner {
    flex-wrap: nowrap;
    animation: infinity-scroll-left 60s infinite linear; /* アニメーションの時間を指定 */
}
.loop-slider .swell-block-column figure {
    width: 500px; /* 画像の横幅を指定（パソコン） */
    position: relative;
}
.loop-slider .swell-block-column figure::before {
    padding-top: 65%; /* 画像の縦横比を指定 */
    display: block;
    content: "";
}
.loop-slider .swell-block-column figure img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100% !important;
    height: 100% !important;
    object-fit: cover;
    object-position: center;
}
@media screen and (max-width: 959px) {
    .loop-slider .swell-block-column figure {
        width: 200px; /* 画像の横幅を指定（スマホ） */
    }
}
@keyframes infinity-scroll-left {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(-100%);
    }
}

/* ページ共通 */
/* contents上部余白 */
@media (min-width: 600px) {
    .l-content {
        padding-top: 0em;
    }
}

/** 投稿記事 **/
/* 投稿詳細ページ本文上部に余白 */
article.l-mainContent__inner {
  padding-top: 1rem;    /* スマホも最低限の余白を確保 */
  padding-bottom: 1rem;
}
@media (min-width: 600px) {
  article.l-mainContent__inner {
    padding-top: 2rem;  /* PCなど広い画面では余白を広げる */
  }
}

/* 投稿ページ本文に余白 */
.archive .p-postList {
	  margin-top: 1.4rem;
}
@media (min-width: 600px) {
	.archive .p-postList {
	  margin-top: 2.4rem;
	}
}

/* SWELLボタン追加カラー */
.pink_ {
	--the-btn-color: #ec5196;
	--the-btn-color2: #ffacac;
	--the-solid-shadow: rgba(255,0,128,1);
}
.yellow_ {
	--the-btn-color: #ffcc4b;
	--the-btn-color2: #ffb90b;
	--the-solid-shadow: rgba(204,161,31,1);
}
.orange_ {
	--the-btn-color: #f08300;
	--the-btn-color2: #f6ad49;
	--the-solid-shadow: rgba(179,98,0,1);
}
.mizuiro_ {
	--the-btn-color: #34a6ea;
	--the-btn-color2: #9dd3f4;
	--the-solid-shadow: rgba(19,123,185,1);
}
.midori_ {
	--the-btn-color: #00512b;
	--the-btn-color2: #008a48;
	--the-solid-shadow: rgba(0,64,0,1);
}
.rightgreen_ {
	--the-btn-color: #009e87;
	--the-btn-color2: #408080;
	--the-solid-shadow: rgba(19,123,185,1);
}
.yellow-green_ {
	--the-btn-color: #33a15d;
	--the-btn-color2: #008000;
	--the-solid-shadow: rgba(8,126,53,1);
}
.floral-white_ {
	--the-btn-color: #fffdfa;
	--the-btn-color2: #f0fff0;
	--the-solid-shadow: rgba(0,48,0,1);
}
.floral-white_ a,
.floral-white_ .wp-block-button__link {
  color: #009e87 !important;
}

/* 写真の並び順 */
/* sw */
@media (max-width: 768px)  {
.swell-col-reverse .swell-block-columns__inner{
flex-direction: column-reverse; 
}
}
/* vk */
@media screen and (max-width:781px){
  .reverse-box{
    flex-direction: column-reverse;
  }
}

/** お問い合わせ **/
.wpcf7 input:not([type=checkbox]):not([type=radio]):not([type=submit]), .wpcf7 select, .wpcf7 textarea {
  width: 100%;
  padding: 6px 20px;
  background-color: #fff;
  border: 1.5px solid hsla(0, 0%, 78%, 0.5);
  border-radius: 999px;
}
.wpcf7 input:not([type=checkbox]):not([type=radio]):not([type=submit]):focus-visible, .wpcf7 select:focus-visible, .wpcf7 textarea:focus-visible {
  outline: 1px solid var(--color_main);
}
.wpcf7 textarea {
  border-radius: 20px;
}
.wpcf7 label {
  padding-left: 10px;
}
.wpcf7 form p {
  margin-bottom: 30px;
  font-weight: bold;
}
.wpcf7 .wpcf7-list-item-label, .wpcf7 .wpcf7-quiz-label {
  font-weight: 400;
}
.wpcf7 .wpcf7-submit {
  border-radius: 0.5rem;
  padding: 0.3rem 2rem;
  min-width: 200px;
  display: block;
  margin: 3em auto;
  border-radius: 999px;
  font-weight: bold;
  color: #fff;
  letter-spacing: 5px;
  background-color: var(--color_main);
}

/* コンテンツ上部余白削除 */
@media(min-width: 600px){
	.l-content{padding-top: 0.4em}
}

/* コンテンツタイトル部分 */
/* 固定ページ文字色 */
.c-pageTitle {
    color: #184d42;
}
/* 投稿ページ文字色 */
.l-topTitleArea__body {
    color: #184d42;
}
.l-topTitleArea .c-postTitle__date {
    border-color: #184d42;
}
.l-topTitleArea .c-categoryList, .l-topTitleArea .c-tagList {
    color: #184d42;
}
.l-topTitleArea .c-categoryList__link {
    border: 1px solid #184d42;
}
.l-topTitleArea .c-categoryList__link, .l-topTitleArea .c-tagList__link {
    background: none;
    color: #184d42;
}

/* フッター前 */
.w-beforeFooter {
    margin: 0em auto;
} 

/* フッターメニュー縦線なし */
.l-footer__nav li:first-child a {
border-left: none;
}
.l-footer__nav a {
border: none;
}

/* フッター直前リンク */
.link-color a:hover{
	color:#009e87;
}

/* simple gallery */
#slb_viewer_wrap .slb_theme_slb_baseline .slb_data_content {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    margin-top: 0.5em;
}

#slb_viewer_wrap .slb_theme_slb_default .slb_container .slb_group_status {
    font-style: normal;
}

#slb_viewer_wrap .slb_theme_slb_default .slb_container .slb_data_title {
    font-family: Hiragino Mincho ProN,"游明朝",serif;
}

#slb_viewer_wrap .slb_theme_slb_default .slb_data_desc {
    flex-basis: 100%;
}

/*ライトボックスの画像表示をスマホで中央寄せ*/
@media only screen and (max-width: 480px) {
#slb_viewer_wrap .slb_theme_slb_default .slb_container {
transform: translateX(50vw) translateX(-50%);
transform: translateY(50vh) translateY(-50%);
}
}

/* 装飾リスト（バツマーク）を★に置き換え */
.is-style-bad_list li::before {
  content: "★" !important;
}